ALL_FIGURE_NAMES=$(shell cat position_paper.figlist)
ALL_FIGURES=$(ALL_FIGURE_NAMES:%=%.pdf)

allimages: $(ALL_FIGURES)
	@echo All images exist now. Use make -B to re-generate them.

FORCEREMAKE:

-include $(ALL_FIGURE_NAMES:%=%.dep)

%.dep:
	mkdir -p "$(dir $@)"
	touch "$@" # will be filled later.

tikz/output-figure0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "tikz/output-figure0" "\def\tikzexternalrealjob{position_paper}\input{position_paper}"

tikz/output-figure0.pdf: tikz/output-figure0.md5
tikz/output-figure1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "tikz/output-figure1" "\def\tikzexternalrealjob{position_paper}\input{position_paper}"

tikz/output-figure1.pdf: tikz/output-figure1.md5
